%define upstream_name    Role-REST-Client
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    REST Client Role
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Role/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Serializer::JSON)
BuildRequires: perl(Data::Serializer::Raw)
BuildRequires: perl(Data::Serializer::XML::Simple)
BuildRequires: perl(Data::Serializer::YAML)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(HTTP::Thin)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::HandlesVia)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI::Escape::XS)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This REST Client role makes REST connectivety easy.

Role::REST::Client will handle encoding and decoding when using the HTTP
verbs.

	GET
	PUT
	POST
	DELETE
	OPTIONS
	HEAD

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1032901
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 951345
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.180.0-1.mga5
+ Revision: 805241
- imported package perl-Role-REST-Client


* Wed Dec 24 2014 Buchan Milne <buchan> 0.18-1mga
- initial mageia release, generated with cpan2dist
